Index: board_enable.c
===================================================================
--- board_enable.c      (revision 1288)
+++ board_enable.c      (working copy)
@@ -1483,6 +1483,15 @@

 /*
  * Suited for:
+ *  - ASUS M6Ne (laptop): socket 479M (guessed) + Intel 855PM + ICH4-M
+ */
+static int intel_ich_gpio43_raise(void)
+{
+       return intel_ich_gpio_set(43, 1);
+}
+
+/*
+ * Suited for:
  *  - HP Vectra VL400: 815 + ICH + PC87360
  */
 static int board_hp_vl400(void)
@@ -1926,6 +1935,7 @@
        {0x1106, 0x3099, 0x1043, 0x807F,  0x1106, 0x3147, 0x1043, 0x808C, NULL,          NULL,         NULL,          "ASUS",        "A7V333",                0,   OK, it8703f_gpio51_raise},
        {0x1106, 0x3189, 0x1043, 0x807F,  0x1106, 0x3177, 0x1043, 0x80A1, NULL,          NULL,         NULL,          "ASUS",        "A7V8X-X",               0,   OK, it8712f_gpio3_1_raise},
        {0x8086, 0x27A0, 0x1043, 0x1287,  0x8086, 0x27DF, 0x1043, 0x1287, "^A8J",        NULL,         NULL,          "ASUS",        "A8Jm",                  0,   NT, intel_ich_gpio34_raise},
+       {0x8086, 0x24cc, 0,      0,       0x8086, 0x24c3, 0x1043, 0x1869, "^M6Ne$",      "ASUSTeK Computer Inc.        ",         NULL,        "ASUS", "M6Ne",    0,   NT,    intel_ich_gpio43_raise},
        {0x10DE, 0x0260, 0x103c, 0x2a3e,  0x10DE, 0x0264, 0x103c, 0x2a3e, "NAGAMI2L",    NULL,         NULL,          "ASUS",        "A8N-LA (Nagami-GL8E)",  0,   OK, nvidia_mcp_gpio0_raise},
        {0x10DE, 0x005E, 0x1043, 0x815A,  0x10DE, 0x0054, 0x1043, 0x815A, NULL,          NULL,         NULL,          "ASUS",        "A8N",                   0,   NT, board_shuttle_fn25}, /* TODO: This should probably be A8N-SLI Deluxe, see http://www.coreboot.org/pipermail/flashrom/2009-November/000878.html. */
        {0x10de, 0x0264, 0x1043, 0x81bc,  0x10de, 0x02f0, 0x1043, 0x81cd, NULL,          NULL,         NULL,          "ASUS",        "A8N-VM CSM",            0,   NT, w83627ehf_gpio24_raise_2e},
Index: print.c
===================================================================
--- print.c     (revision 1288)
+++ print.c     (working copy)
@@ -403,6 +403,7 @@
        B("ASUS",       "M4A785TD-M EVO",       1, "http://www.asus.com/product.aspx?P_ID=QHbvGVB1mXmmD8qQ", NULL),
        B("ASUS",       "M4A79T Deluxe",        1, "http://www.asus.com/product.aspx?P_ID=lhJiLTN5huPfCVkW", NULL),
        B("ASUS",       "M4A87TD/USB3",         1, "http://www.asus.com/product.aspx?P_ID=nlWYrI9wlNIYHAaa", NULL),
+       B("ASUS",       "M6Ne",                 0, "http://www.asus.com/Product.aspx?P_ID=IbqN4JCxeRiep4WN", NULL},
        B("ASUS",       "MEW-AM",               0, "ftp://ftp.asus.com.tw/pub/ASUS/mb/sock370/810/mew-am/", "No public report found. Owned by Uwe Hermann <uwe@hermann-uwe.de>. May work now."),
        B("ASUS",       "MEW-VM",               0, "http://www.elhvb.com/mboards/OEM/HP/manual/ASUS%20MEW-VM.htm", "No public report found. Owned by Uwe Hermann <uwe@hermann-uwe.de>. May work now."),
        B("ASUS",       "P2B",                  1, "ftp://ftp.asus.com.tw/pub/ASUS/mb/slot1/440bx/p2b/", NULL),